unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdBaseComponent, IdAntiFreezeBase, IdAntiFreeze,
  ComCtrls, Buttons, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP;

type
  Tsms = class(TForm)
    numertel: TEdit;
    tekst: TMemo;
    nadawca: TEdit;
    ok: TBitBtn;
    IdAntiFreeze1: TIdAntiFreeze;
    indy: TIdHTTP;
    stat: TStatusBar;
    procedure okClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure numertelEnter(Sender: TObject);
    procedure numertelExit(Sender: TObject);
    procedure tekstEnter(Sender: TObject);
    procedure tekstExit(Sender: TObject);
    procedure nadawcaEnter(Sender: TObject);
    procedure nadawcaExit(Sender: TObject);
    procedure tekstChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  sms: Tsms;
var numer,wiadomosc,podpis,url:string;

implementation

{$R *.dfm}

procedure Tsms.okClick(Sender: TObject);
var odbior,sms:Tstringstream;
begin
if numertel.Text='Tu wpisz numer telefonu' then
begin
ShowMessage('Wpisz poprawny numer telefonu! (9 cyfr)');
end
else
begin
if tekst.Text='Tu wpisz tekst wiadomoci!' then
showmessage('Nie wpisae adnej wiadomoci!')
else
begin
numer:=numertel.text;
podpis:=nadawca.Text;
wiadomosc:=tekst.Text;
odbior:=TstringStream.Create('');
odbior.Write('Dupa',1);
sms:=TstringStream.Create('');
sms.writestring('?country=000&cellnum='+numer+'&message='+wiadomosc+'&signature='+podpis+'&submit=Wy%B6lij');
url:='http://telefon.gsm.pl/cgi-bin/sendsms.pl';
indy.post(url,sms,odbior);
ShowMessage('SMS wysany!');
end
end;
end;

procedure Tsms.FormCreate(Sender: TObject);
begin
tekst.Text:='Tu wpisz tekst wiadomoci!';
end;

procedure Tsms.numertelEnter(Sender: TObject);
begin
numertel.Color:=clSkyBlue;
if numertel.text='Tu wpisz numer telefonu' then
numertel.Text:='';
end;

procedure Tsms.numertelExit(Sender: TObject);
begin
numertel.Color:=clmenu;
if numertel.text='' then
numertel.Text:='Tu wpisz numer telefonu';
end;

procedure Tsms.tekstEnter(Sender: TObject);
begin
tekst.Color:=clSkyBlue;
if tekst.text='Tu wpisz tekst wiadomoci!' then
tekst.Text:=''
end;

procedure Tsms.tekstExit(Sender: TObject);
begin
tekst.Color:=clmenu;
if tekst.text='' then
tekst.Text:='Tu wpisz tekst wiadomoci!'
end;

procedure Tsms.nadawcaEnter(Sender: TObject);
begin
nadawca.color:=clSkyBlue;
if nadawca.text='Podpis' then
nadawca.Text:=''
end;

procedure Tsms.nadawcaExit(Sender: TObject);
begin
nadawca.Color:=clmenu;
if nadawca.text='' then
nadawca.Text:='Podpis'
end;



procedure Tsms.tekstChange(Sender: TObject);
var znaki,result:integer;
begin
znaki:=140;
result:=znaki-length(nadawca.text)-length(tekst.text);
stat.simpletext:='Pozostao '+inttostr(result)+' znakw';
if result<0 then ok.enabled:=false
else ok.enabled:=true;
stat.SimpleText:='Pozostao '+IntToStr(result)+' znakw!';
end;


end.
